Source Readers
Create a source reader
Creates a new source reader for the authenticated company.
POST
/
source-readers
Create a source reader
curl --request POST \
--url https://api.artie.com/source-readers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"containerName": "<string>",
"dataPlaneName": "<string>",
"database": "<string>",
"isShared": true,
"name": "<string>",
"settings": {
"archiveLogPassword": "<string>",
"archiveLogPath": "<string>",
"azureBlobStorageConfig": {
"accountURL": "<string>",
"containerName": "<string>",
"sasToken": "<string>"
},
"backfillBatchSize": 1,
"compositeTypesAsText": true,
"databasesToSync": [
"<string>"
],
"disableAutoFetchTables": true,
"disableFullDocumentBeforeChange": true,
"disableNoCursorTimeout": true,
"enableClientSideFullDocumentLookup": true,
"enableHeartbeats": true,
"enableSchemaHistoryCompaction": true,
"maxConnIdleTimeSeconds": 123,
"mssqlChangeTrackingConcurrency": 123,
"mssqlChangeTrackingMaxIdleConns": 123,
"mssqlChangeTrackingPollIntervalMs": 1,
"mssqlReplicationMethod": "<string>",
"oneTopicPerSchema": true,
"publicationAutoCreateMode": "<string>",
"publicationNameOverride": "<string>",
"publishViaPartitionRoot": true,
"replicationSlotOverride": "<string>",
"unifyAcrossDatabases": true,
"unifyAcrossSchemas": true,
"unifyAcrossSchemasMaxParallelism": 1,
"unifyAcrossSchemasRegex": "<string>",
"useAdvanceOnPrimaryKeepAlive": true,
"useNumericTypesForMoney": true,
"useReaderForOracleStreaming": true
},
"tablesConfig": {}
}
'{
"companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"containerName": "<string>",
"dataPlaneName": "<string>",
"database": "<string>",
"environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isValid": true,
"name": "<string>",
"settings": {
"archiveLogPassword": "<string>",
"archiveLogPath": "<string>",
"azureBlobStorageConfig": {
"accountURL": "<string>",
"containerName": "<string>",
"sasToken": "<string>"
},
"backfillBatchSize": 1,
"compositeTypesAsText": true,
"databasesToSync": [
"<string>"
],
"disableAutoFetchTables": true,
"disableFullDocumentBeforeChange": true,
"disableNoCursorTimeout": true,
"enableClientSideFullDocumentLookup": true,
"enableHeartbeats": true,
"enableSchemaHistoryCompaction": true,
"maxConnIdleTimeSeconds": 123,
"mssqlChangeTrackingConcurrency": 123,
"mssqlChangeTrackingMaxIdleConns": 123,
"mssqlChangeTrackingPollIntervalMs": 1,
"mssqlReplicationMethod": "<string>",
"oneTopicPerSchema": true,
"publicationAutoCreateMode": "<string>",
"publicationNameOverride": "<string>",
"publishViaPartitionRoot": true,
"replicationSlotOverride": "<string>",
"unifyAcrossDatabases": true,
"unifyAcrossSchemas": true,
"unifyAcrossSchemasMaxParallelism": 1,
"unifyAcrossSchemasRegex": "<string>",
"useAdvanceOnPrimaryKeepAlive": true,
"useNumericTypesForMoney": true,
"useReaderForOracleStreaming": true
},
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"apiBaseURL": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isShared": true,
"tablesConfig": {},
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
API key passed as a Bearer token in the Authorization header.
Body
application/json
Response
OK
Show child attributes
Show child attributes
Available options:
draft, paused, running Show child attributes
Show child attributes
Was this page helpful?
Previous
Get a source readerRetrieves the details of a source reader by UUID, including its configuration, status, connector association, and table settings.
Next
⌘I
Create a source reader
curl --request POST \
--url https://api.artie.com/source-readers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"containerName": "<string>",
"dataPlaneName": "<string>",
"database": "<string>",
"isShared": true,
"name": "<string>",
"settings": {
"archiveLogPassword": "<string>",
"archiveLogPath": "<string>",
"azureBlobStorageConfig": {
"accountURL": "<string>",
"containerName": "<string>",
"sasToken": "<string>"
},
"backfillBatchSize": 1,
"compositeTypesAsText": true,
"databasesToSync": [
"<string>"
],
"disableAutoFetchTables": true,
"disableFullDocumentBeforeChange": true,
"disableNoCursorTimeout": true,
"enableClientSideFullDocumentLookup": true,
"enableHeartbeats": true,
"enableSchemaHistoryCompaction": true,
"maxConnIdleTimeSeconds": 123,
"mssqlChangeTrackingConcurrency": 123,
"mssqlChangeTrackingMaxIdleConns": 123,
"mssqlChangeTrackingPollIntervalMs": 1,
"mssqlReplicationMethod": "<string>",
"oneTopicPerSchema": true,
"publicationAutoCreateMode": "<string>",
"publicationNameOverride": "<string>",
"publishViaPartitionRoot": true,
"replicationSlotOverride": "<string>",
"unifyAcrossDatabases": true,
"unifyAcrossSchemas": true,
"unifyAcrossSchemasMaxParallelism": 1,
"unifyAcrossSchemasRegex": "<string>",
"useAdvanceOnPrimaryKeepAlive": true,
"useNumericTypesForMoney": true,
"useReaderForOracleStreaming": true
},
"tablesConfig": {}
}
'{
"companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"containerName": "<string>",
"dataPlaneName": "<string>",
"database": "<string>",
"environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isValid": true,
"name": "<string>",
"settings": {
"archiveLogPassword": "<string>",
"archiveLogPath": "<string>",
"azureBlobStorageConfig": {
"accountURL": "<string>",
"containerName": "<string>",
"sasToken": "<string>"
},
"backfillBatchSize": 1,
"compositeTypesAsText": true,
"databasesToSync": [
"<string>"
],
"disableAutoFetchTables": true,
"disableFullDocumentBeforeChange": true,
"disableNoCursorTimeout": true,
"enableClientSideFullDocumentLookup": true,
"enableHeartbeats": true,
"enableSchemaHistoryCompaction": true,
"maxConnIdleTimeSeconds": 123,
"mssqlChangeTrackingConcurrency": 123,
"mssqlChangeTrackingMaxIdleConns": 123,
"mssqlChangeTrackingPollIntervalMs": 1,
"mssqlReplicationMethod": "<string>",
"oneTopicPerSchema": true,
"publicationAutoCreateMode": "<string>",
"publicationNameOverride": "<string>",
"publishViaPartitionRoot": true,
"replicationSlotOverride": "<string>",
"unifyAcrossDatabases": true,
"unifyAcrossSchemas": true,
"unifyAcrossSchemasMaxParallelism": 1,
"unifyAcrossSchemasRegex": "<string>",
"useAdvanceOnPrimaryKeepAlive": true,
"useNumericTypesForMoney": true,
"useReaderForOracleStreaming": true
},
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"apiBaseURL": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isShared": true,
"tablesConfig": {},
"updatedAt": "2023-11-07T05:31:56Z"
}